Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SpecGroupInfo

    java.lang.Object
      jet.api.SpecGroupInfo

    public class SpecGroupInfo

extends java.lang.Object

A infomation package of Specified group description

Constructor Summary
`SpecGroupInfo(SpecifiedDes[] specifiedDes, boolean includeOther, java.lang.String othersName)` Constructor.
`SpecGroupInfo(SpecifiedDes specifiedDes, boolean includeOther, java.lang.String othersName)` Constructor.

Method Summary
`void` | `add(SpecifiedDes specifiedDes)` add a SpecifiedDes into this SpecGroup
`boolean` | `getIncludeOther()` get includeOther value
`java.lang.String` | `getOthersName()` get name of "others"
`SpecifiedDes[]` | `getSpecifiedDes()` get all SpecifiedDes values
`void` | `setIncludeOther(boolean includeOther)` set includeOther value
`void` | `setOthersName(java.lang.String othersName)` set name of "others"
`void` | `setSpecifiedDes(SpecifiedDes[] info)` set all SpecifiedDes values of this SpecGroup
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpecGroupInfo

    public SpecGroupInfo(SpecifiedDes specifiedDes,
                         boolean includeOther,
                         java.lang.String othersName)

  Constructor. Create Specified group information.

  Parameters:
    `specifiedDes` - Specified group description .
    `includeOther` - indicate include other value which are out of Specified group range .
    `othersName` - the name of others .

### SpecGroupInfo

    public SpecGroupInfo(SpecifiedDes[] specifiedDes,
                         boolean includeOther,
                         java.lang.String othersName)

  Constructor. Create Specified group information.

  Parameters:
    `specifiedDes[]` - Specified group description array.
    `includeOther` - indicate include other value which are out of Specified group range .
    `othersName` - the name of others .

Method Detail

### getIncludeOther

    public boolean getIncludeOther()

  get includeOther value

  Returns:
    includeOther value

### setIncludeOther

    public void setIncludeOther(boolean includeOther)

  set includeOther value

  Parameters:
    `includeOther` - include Other value

### getOthersName

    public java.lang.String getOthersName()

  get name of "others"

  Returns:
    othersName value

### setOthersName

    public void setOthersName(java.lang.String othersName)

  set name of "others"

  Parameters:
    `othersName` - others Name value

### getSpecifiedDes

    public SpecifiedDes[] getSpecifiedDes()

  get all SpecifiedDes values

  Returns:
    SpecifiedDes array

### setSpecifiedDes

    public void setSpecifiedDes(SpecifiedDes[] info)

  set all SpecifiedDes values of this SpecGroup

  Parameters:
    `info` - SpecifiedDes array

### add

    public void add(SpecifiedDes specifiedDes)

  add a SpecifiedDes into this SpecGroup

  Parameters:
    `specifiedDes` - SpecifiedDes infomation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD